using Microsoft.UI;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Documents;
using Microsoft.UI.Xaml.Media;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            this.highlightColorCombobox.SelectionChanged += highlightColorCombobox_SelectionChanged;

            this.highlightColorCombobox.SelectedIndex = 0;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region ̶Ʈ  ޺ ڽ   óϱ - highlightColorCombobox_SelectionChanged(sender, e)

        /// <summary>
        /// ̶Ʈ  ޺ ڽ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void highlightColorCombobox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            ComboBoxItem comboBoxItem = (sender as ComboBox).SelectedItem as ComboBoxItem;

            Windows.UI.Color color = Colors.Yellow;

            switch(comboBoxItem.Content as string)
            {
                case "Yellow" : color = Colors.Yellow; break;
                case "Red"    : color = Colors.Red;    break;
                case "Blue"   : color = Colors.Blue;   break;
            }

            TextRange textRange = new TextRange()
            {
                StartIndex = 28,
                Length     = 11
            };

            TextHighlighter textHighlighter = new TextHighlighter()
            {
                Background = new SolidColorBrush(color),
                Ranges     = { textRange }
            };

            this.richTextBlock.TextHighlighters.Clear();

            this.richTextBlock.TextHighlighters.Add(textHighlighter);
        }

        #endregion
    }
}